# Uses of Interface
java.lang.classfile.attribute.MethodParametersAttribute

Packages that use MethodParametersAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of MethodParametersAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type MethodParametersAttribute
Modifier and Type
Method
Description
`static AttributeMapper<MethodParametersAttribute>`
Attributes.`methodParameters()`
Returns the mapper for the `MethodParameters` attribute.

## Uses of MethodParametersAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type MethodParametersAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`MethodParametersAttribute`
Models the `MethodParameters` attribute (JVMS §4.7.24), which records reflective information about this method's parameters such as access modifiers.
Methods in java.lang.classfile.attribute that return MethodParametersAttribute
Modifier and Type
Method
Description
`static MethodParametersAttribute`
MethodParametersAttribute.`of(MethodParameterInfo... parameters)`
Returns a `MethodParameters` attribute.
`static MethodParametersAttribute`
MethodParametersAttribute.`of(List<MethodParameterInfo> parameters)`
Returns a `MethodParameters` attribute.